<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Benchmark model</title>
    <link rel="stylesheet" href="styles.css">
    <script src="
https://cdn.jsdelivr.net/npm/sweetalert2@11.7.12/dist/sweetalert2.all.min.js
"></script>
    <link href="
https://cdn.jsdelivr.net/npm/sweetalert2@11.7.12/dist/sweetalert2.min.css
" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="send.js" defer></script>
    <script src="draw.js" defer></script>
</head>

<body>
<div id="container">
    <div class="column_container" style="width: 10%; justify-content: space-between; padding: 0 0 2% 2%">
        <div></div>
        <img src="stairwai.png" alt="stairwai_logo" id="stairwai">
        <img src="BCAlogo.png" alt="bca_logo" id="bca">
    </div>
    
    <div class="column_container" style="padding-left: 0;">
        <fieldset>
            <legend>Benchmark model</legend>

            <form action="" method="GET" id="sub_form">
                <label for="model" about="">
                    Model:
                </label>
                <br>
                <input type="file" name="model" id="model" required>
                <br>

                <label for="platform" about="">
                    Platform:
                </label>
                <br>
                <select name="platform" id="platform" required>
                    <option value="x86_64">x86_64</option>
                    <option value="jetson">jetson</option>
                    <option value="rpi">rpi</option>
                </select>

                <br>
                <label for="profile" about="">
                    Profile:
                </label>
                <br>

                <select name="profile" id="profile">
                    <option value="cpu">cpu</option>
                    <option value="cuda11.5_tensorrt8.2">cuda11.5_tensorrt8.2</option>
                    <option value="cuda11.4_tensorrt8.0">cuda11.4_tensorrt8.0</option>
                    <option value="jetpack4.6">jetpack4.6</option>
                    <option value="arm64v8">arm64v8</option>
                </select>

                <br>
                <label for="engine" about="">
                    Engine:
                </label>

                <br>
                <select name="engine" id="engine" required>
                    <option value="onnxruntime">onnxruntime</option>
                    <option value="tensorflow">tensorflow</option>
                    <option value="lpdnn">lpdnn</option>
                    <option value="tensorrt">tensorrt</option>
                    <option value="tflite">tflite</option>
                </select>

                <br>
                <label for="device" about="">
                    Device:
                </label>
                <br>

                <select name="device" id="device">
                    <option value="cpu">cpu</option>
                    <option value="gpu">gpu</option>
                </select>

                <br>
                <label for="cpu_num">CPU Number:</label>
                <input type="number" id="cpu_num">

                <br>
                <label for="thread_num">Thread Number:</label>
                <input type="number" id="thread_num">

                <br>


                <input type="submit" id="submit">
                <button id="export_json" type="button" disabled> Export to JSON </button>
                <button id="export_csv" type="button" disabled> Export to CSV </button>
            </form>

        </fieldset>
    </div>

    <div class="column_container" style="padding-left: 0; padding-right: 0">
        <label for="output">Eval results:</label>
        <textarea name="output" id="output" readonly></textarea>
        <button type="button" id="reset">Reset</button>

    </div>

    <div class="column_container">

        <div id="canvas_container">
            <canvas id="myChart" class="chart" style="width: 100%"></canvas>
            <canvas id="myChart2" class="chart" style="width: 100%"></canvas>
            <canvas id="myChart3" class="chart" style="width: 100%"></canvas>
            <canvas id="myChart4" class="chart" style="width: 100%"></canvas>
            <canvas id="myChart5" class="chart" style="width: 100%"></canvas>
            <canvas id="myChart6" class="chart" style="width: 100%"></canvas>
        </div>

        <button type="button" id="download">Download charts</button>
    </div>

</div>

<div id="overlay" class="overlay"></div>
<div id="spinner" class="spinner"></div>

</body>

</html>